Contents
Index 🔎︎

# Or Operator

Performs a logical OR disjunction on two expressions.

## Syntax:

    Result = Expression1 Or Expression2

## Parameters:

Result: Any numeric variable that contains the result of the disjunction.

Expression1, Expression2: Any numeric expressions that you want to compare.

A logical OR disjunction of two Boolean expressions returns the value True if at least one comparison expression is True.

A bit-wise comparison sets a bit in the result if the corresponding bit is set in at least one of the two expressions.

## Example:

    Sub ExampleOr
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB Or vB > vC ' -1
        vOut = vB > vA Or vB > vC ' -1
        vOut = vA > vB Or vB > vD ' -1
        vOut = (vB > vD Or vB > vA) ' 0
        vOut = vB Or vA ' 10
    End Sub